<?php
/**
 * Module:	NextBirthdays pour Joomla! 2.5
 * Version:	1.0
 * Author:	Philippe Bouquet alias PtitPhilippe -> http://philippe.bouquet.free.fr
 * Date:	06/06/2012
 * License:	GNU/GPL
**/

// no direct access
defined('_JEXEC') or die('Restricted access');

class mod_nextbirthdaysHelper
 {
	function getBirthdays(&$params) 
	{
		// retrieve first cb field
		$cb_field = $params->get('fieldbirthdate', 'cb_birthday');
		// Database query
		$sql = "SELECT cp.user_id, u.username, cp.firstname, cp.lastname, cp.$cb_field,"
		. "\n @birthday:=ifnull(date(concat(year(now()), '-', month(cp.$cb_field), '-', DAYOFMONTH(cp.$cb_field))),"
		. "\n adddate(date(concat(year(now()), '-', month(cp.$cb_field), '-', DAYOFMONTH(cp.$cb_field)-1)), INTERVAL 1 DAY)) birthday,"
		. "\n if(DATEDIFF(@birthday,now())<0,DATEDIFF(adddate(@birthday, INTERVAL 1 YEAR),now()),DATEDIFF(@birthday,now())) days_to_birthday,"
		. "if(DATEDIFF(@birthday,now())<0, year(now()) - year(cp.$cb_field) +1, year(now()) - year(cp.$cb_field)) age, "
		. "\n day(cp.$cb_field) day_of_birthday "
		. "\n FROM #__comprofiler cp, #__users u "
		. "\n where cp.user_id = u.id"
		. "\n and cp.$cb_field is not null"
		. "\n and cp.$cb_field != date('0000-00-00')"
		. "\n and u.block = 0"
		. "\n order by 7"
		. "\n LIMIT 0," . $params->get('count','5');
		$db =& JFactory::getDBO();
		$db->setQuery($sql);
		$birthdays = $db->loadObjectList();
		return $birthdays;
	}
}
?>