<?php 
/**
 * Module:	NextBirthdays pour Joomla! 2.5
 * Version:	1.0
 * Author:	Philippe Bouquet alias PtitPhilippe -> http://philippe.bouquet.free.fr
 * Date:	06/06/2012
 * License:	GNU/GPL
**/

// no direct access
Defined( '_JEXEC' ) or die( 'Restricted access' ); ?>

<div class="moduletable<?php echo $params->get( 'moduleclass_sfx') ?>">

<?php
if ($birthdays) {
	echo "<ul style=\"list-style-type:none;\">\n";
	foreach ($birthdays as $row) {
		echo "<li>";
		if (($params->get('showremainingdays',1) == 1) || ($params->get('showage',1) == 1)) {
			$vspace = -12;
		}
		else {
			$vspace = -6;
		}
		// check if calendar icon should be displayed
		if ($params->get('showicon',1) == 1) {
			if  ($row->days_to_birthday == 0) {
				echo " <img style=\"margin-bottom: ". $vspace . "px;\" src=\"" . JURI::base() . "modules/mod_nextbirthdays/images/24/birthday.png\" alt=\"" . JText::_('MOD_NEXTBIRTHDAYS_TODAY')  ."\" title=\"" . JText::_('MOD_NEXTBIRTHDAYS_TODAY') . "\" />";
			}
			else {
				echo "<img style=\"margin-bottom: ". $vspace ."px;\" src=\"" . JURI::base() . "modules/mod_nextbirthdays/images/24/" . $row->day_of_birthday . ".png\" alt=\"" . $row->birthday . "\"/  title=\"" . JFactory::getDate($row->birthday)->toFormat('%d %B') . "\" />";
			}		
		}
		//check if real name should be displayed (FirstName + LasteName)
		if ($params->get('displayname',1) == 1) {
			//check if CD link is dispalyed
			if ($params->get('showcblink',1) == 1) {
				echo "<b> <a href=\"index.php?option=com_comprofiler&task=userProfile&user=" . $row->user_id . "\">" . $row->firstname . " " . $row->lastname . "</a></b>";
			}
			else {
				echo "<b>" . $row->firstname . " " . $row->lastname . "</b>";
			}
		}
		else {
			//display username
			//check if CD link is dispalyed
			if ($params->get('showcblink',1) == 1) {
				echo "<b> <a href=\"index.php?option=com_comprofiler&task=userProfile&user=" . $row->user_id . "\">" . $row->username . "</a></b>";
			}
			else {
				echo "<b>" . $row->username . "</b>";
			}
		}
		//Parameter "showage"
		if ($params->get('showage',1) == 1) {
			echo " <br><span style=\"padding-left: 25px;\">" . $row->age . " " .JText::_('MOD_NEXTBIRTHDAYS_YEARS')  . "</span>";
		}
		//Parameter "show remaining days"
		if ($params->get('showremainingdays',1) == 1) {
			// specific for birth date
			if  ($row->days_to_birthday == 0) {
			}
			//else display remaining days
			else {
				if ($params->get('showage',1) == 0) {
					echo "<br><span style=\"padding-left: 25px;\">";
				}
				echo "  (" . $row->days_to_birthday . "</span>";
				//text for single day
				if  ($row->days_to_birthday == 1) {
					echo " " . JText::_('MOD_NEXTBIRTHDAYS_SINGULAR_DAY') . ")";
				}
				//text for plural
				else {
					echo " " . JText::_('MOD_NEXTBIRTHDAYS_PLURAL_DAY')  . ")";
				}
			}
		}

		echo "</li>\n";
	}
	echo "</ul>\n";
}
?>
</div>
